searchNodes=[{"doc":"A library provides efficient implementations of the most common general purpose programming data structures.","ref":"Collections.html","title":"Collections","type":"module"},{"doc":"Disjoint set implementation in Elixir See also: Disjoint Set Time complexity &amp;find/2 : O(ma(n)) &amp;union/2 : O(ma(n)) ma is inverse Ackermann function. Examples iex&gt; ds = DisjointSet . new ( ) iex&gt; { x , ds } = DisjointSet . find ( ds , 10 ) iex&gt; x 10 iex&gt; ds = ds |&gt; DisjointSet . union ( 10 , 20 ) |&gt; DisjointSet . union ( 20 , 30 ) iex&gt; x = DisjointSet . find ( ds , 10 ) |&gt; elem ( 0 ) iex&gt; y = DisjointSet . find ( ds , 30 ) |&gt; elem ( 0 ) iex&gt; x == y true","ref":"Collections.DisjointSet.html","title":"Collections.DisjointSet","type":"module"},{"doc":"The Find operation follows the chain of parent from a specified query node x until it reaches a root element. This root element represents the set to which x belongs and may be x itself. Find returns the root element it reaches. Examples iex&gt; DisjointSet . new ( ) ...&gt; |&gt; DisjointSet . find ( 10 ) ...&gt; |&gt; elem ( 0 ) 10","ref":"Collections.DisjointSet.html#find/2","title":"Collections.DisjointSet.find/2","type":"function"},{"doc":"Create an empty disjoint set. Examples iex&gt; DisjointSet . new ( ) % DisjointSet { root : Map . new ( [ ] ) , rank : Map . new ( [ ] ) }","ref":"Collections.DisjointSet.html#new/0","title":"Collections.DisjointSet.new/0","type":"function"},{"doc":"The Union replaces the set containing x and the set containing y with their union. Examples iex&gt; ds = DisjointSet . new ( ) |&gt; DisjointSet . union ( 20 , 30 ) iex&gt; x = ds |&gt; DisjointSet . find ( 20 ) |&gt; elem ( 0 ) iex&gt; y = ds |&gt; DisjointSet . find ( 30 ) |&gt; elem ( 0 ) iex&gt; x == y true iex&gt; x == 40 false","ref":"Collections.DisjointSet.html#union/3","title":"Collections.DisjointSet.union/3","type":"function"},{"doc":"","ref":"Collections.DisjointSet.html#t:t/0","title":"Collections.DisjointSet.t/0","type":"type"},{"doc":"Leftist heap implementation in Elixir See also: Leftist Tree Time complexity &amp;peek/2 : O(1) &amp;push/2 : O(logn) &amp;pop/2 : O(logn) &amp;size/1 : O(1) &amp;member?/2 : O(n) &amp;empty?/1 : O(1)","ref":"Collections.Heap.html","title":"Collections.Heap","type":"module"},{"doc":"Test if the heap is empty Examples iex&gt; Heap . new ( ) |&gt; Heap . empty? ( ) true iex&gt; Heap . new ( ) |&gt; Heap . push ( 10 ) |&gt; Heap . empty? ( ) false","ref":"Collections.Heap.html#empty?/1","title":"Collections.Heap.empty?/1","type":"function"},{"doc":"Create an empty max heap with default comparator &amp;&gt;/2 . A max heap is a heap tree which always has the largest value at the top. Examples iex&gt; 1 .. 10 ...&gt; |&gt; Enum . shuffle ( ) ...&gt; |&gt; Enum . into ( Heap . max ( ) ) ...&gt; |&gt; Heap . peek ( ) 10","ref":"Collections.Heap.html#max/0","title":"Collections.Heap.max/0","type":"function"},{"doc":"Test if the heap contains the value . Examples iex&gt; heap = 1 .. 10 ...&gt; |&gt; Enum . into ( Heap . new ( ) ) ...&gt; Heap . member? ( heap , 5 ) true ...&gt; Heap . member? ( heap , 20 ) false","ref":"Collections.Heap.html#member?/2","title":"Collections.Heap.member?/2","type":"function"},{"doc":"Create an empty min heap with default comparator &amp;&lt;/2 . A min heap is a heap tree which always has the smallest value at the top. Examples iex&gt; 1 .. 10 ...&gt; |&gt; Enum . shuffle ( ) ...&gt; |&gt; Enum . into ( Heap . min ( ) ) ...&gt; |&gt; Heap . peek ( ) 1","ref":"Collections.Heap.html#min/0","title":"Collections.Heap.min/0","type":"function"},{"doc":"Create an empty heap with the default comparator &amp;&lt;/2 . Behaves the same as &amp;Heap.min","ref":"Collections.Heap.html#new/0","title":"Collections.Heap.new/0","type":"function"},{"doc":"Create an empty heap with a specific comparator. Examples iex&gt; 1 .. 10 ...&gt; |&gt; Enum . shuffle ( ) ...&gt; |&gt; Enum . into ( Heap . new ( &amp; ( &amp;1 &gt; &amp;2 ) ) ) ...&gt; |&gt; Enum . to_list ( ) [ 10 , 9 , 8 , 7 , 6 , 5 , 4 , 3 , 2 , 1 ] The given function should compare two arguments, and return true if the first argument precedes the second one.","ref":"Collections.Heap.html#new/1","title":"Collections.Heap.new/1","type":"function"},{"doc":"Returns the element at the top of heap . If the heap is empty, default is returned If default is not provided, nil is used Examples iex&gt; Heap . new ( ) ...&gt; |&gt; Heap . peek ( ) nil iex&gt; Heap . new ( ) ...&gt; |&gt; Heap . peek ( 10 ) 10 iex&gt; 1 .. 10 ...&gt; |&gt; Enum . shuffle ( ) ...&gt; |&gt; Enum . into ( Heap . new ( ) ) ...&gt; |&gt; Heap . peek ( ) 1","ref":"Collections.Heap.html#peek/2","title":"Collections.Heap.peek/2","type":"function"},{"doc":"Removes the element at the top of the heap and returns the element and the updated heap. If the heap is empty, default is returned If default is not provided, nil is used Examples iex&gt; { nil , _ } = Heap . new ( ) ...&gt; |&gt; Heap . pop ( ) iex&gt; { 10 , _ } = Heap . new ( ) ...&gt; |&gt; Heap . pop ( 10 ) iex&gt; { 1 , rest_heap } = 1 .. 10 ...&gt; |&gt; Enum . shuffle ( ) ...&gt; |&gt; Enum . into ( Heap . new ( ) ) ...&gt; |&gt; Heap . pop ( ) ...&gt; { 2 , _ } = Heap . pop ( rest_heap ) ...&gt; Heap . size ( rest_heap ) 9","ref":"Collections.Heap.html#pop/2","title":"Collections.Heap.pop/2","type":"function"},{"doc":"Push a new element into heap . Examples iex&gt; Heap . new ( ) ...&gt; |&gt; Heap . push ( 10 ) ...&gt; |&gt; Heap . peek ( ) 10","ref":"Collections.Heap.html#push/2","title":"Collections.Heap.push/2","type":"function"},{"doc":"Returns the number of elements in heap . Examples iex&gt; 1 .. 10 ...&gt; |&gt; Enum . into ( Heap . new ( ) ) ...&gt; |&gt; Heap . size ( ) 10","ref":"Collections.Heap.html#size/1","title":"Collections.Heap.size/1","type":"function"},{"doc":"","ref":"Collections.Heap.html#t:data/0","title":"Collections.Heap.data/0","type":"type"},{"doc":"","ref":"Collections.Heap.html#t:t/0","title":"Collections.Heap.t/0","type":"type"}]